<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: scene.hh Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('scene_8hh_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">scene.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="scene_8hh.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;fstream&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="gnuplot__link_8hh.html">gnuplot_link.hh</a>&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="bottom_surface_8hh.html">bottomSurface.hh</a>&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="drone_8hh.html">drone.hh</a>&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="water_surface_8hh.html">waterSurface.hh</a>&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="obstacles_8hh.html">obstacles.hh</a>&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="class_scene.html">   17</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_scene.html">Scene</a> {</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="class_scene.html#a5df9e3639480f0b0e40dbde622a1c605">   21</a></span>&#160;    <a class="code" href="class_pz_g_1_1_gnuplot_link.html">PzG::GnuplotLink</a> <a class="code" href="class_scene.html#a5df9e3639480f0b0e40dbde622a1c605">link_</a>;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="class_scene.html#a39e475efe2c4ec704290a3258675394a">   26</a></span>&#160;    <a class="code" href="class_drone.html">Drone</a> <a class="code" href="class_scene.html#a39e475efe2c4ec704290a3258675394a">drone_</a>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="class_scene.html#ad50c3c24ce0283a96822b5a759677852">   31</a></span>&#160;    <a class="code" href="classbottom_surface.html">bottomSurface</a> <a class="code" href="class_scene.html#ad50c3c24ce0283a96822b5a759677852">bottom_surface_</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="class_scene.html#ac2799c9a0b29a5790e7ac4010e11d3c6">   36</a></span>&#160;    <a class="code" href="classwater_surface.html">waterSurface</a> <a class="code" href="class_scene.html#ac2799c9a0b29a5790e7ac4010e11d3c6">water_surface_</a>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="class_scene.html#a217f6f2ce1825c3c82a4eb97d21e713c">   41</a></span>&#160;    <a class="code" href="class_rod.html">Rod</a> <a class="code" href="class_scene.html#a217f6f2ce1825c3c82a4eb97d21e713c">rod_</a>;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="class_scene.html#a9072e7a0ae61ecbc6f716cadcd696f57">   46</a></span>&#160;    <a class="code" href="class_rectangle.html">Rectangle</a> <a class="code" href="class_scene.html#a9072e7a0ae61ecbc6f716cadcd696f57">rectangle_</a>;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="class_scene.html#a0f6f2aaa0d3722c75d0a522e4212c029">   51</a></span>&#160;    <a class="code" href="class_cuboid_obstacle.html">CuboidObstacle</a> <a class="code" href="class_scene.html#a0f6f2aaa0d3722c75d0a522e4212c029">cuboid_obstacle_</a>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="class_scene.html#a71f61950a5ed7990f437026fbba04dc7">   56</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="class_scene.html#a71f61950a5ed7990f437026fbba04dc7">frames_</a> = 120;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="class_scene.html#ad80825eec726058e071be4d627b1ee31">   61</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="class_scene.html#ad80825eec726058e071be4d627b1ee31">frameFreeze_</a> = 16000;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keyword">template</span>&lt;<span class="keyword">typename</span> TDrone, <span class="keyword">typename</span> TGround, <span class="keyword">typename</span> TWater, <span class="keyword">typename</span> TRod, <span class="keyword">typename</span> TRectangle, <span class="keyword">typename</span> TCubo<span class="keywordtype">id</span>&gt;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    [[nodiscard]] std::vector&lt;std::shared_ptr&lt;Shape&gt;&gt; <a class="code" href="class_scene.html#acfb2daa817152705b9433371daefd1e0">objectsOnScene</a>() <span class="keyword">const</span>;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="class_scene.html#a806fccf2f53e666749ea8abf76190c62">checkCollision</a>(<span class="keyword">const</span> std::vector&lt;Vector3D&gt; &amp;droneCover);</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <a class="code" href="class_scene.html#ad10176d75a9cc0da56626f682d083507">Scene</a>();</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <a class="code" href="class_scene.html#a631eef7493cafce5d74739a2cad12a58">~Scene</a>() = <span class="keywordflow">default</span>;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">animation</a>(<span class="keywordtype">double</span> rotateAngle);</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160; </div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">animation</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> &amp;angleChange, <span class="keyword">const</span> <span class="keywordtype">double</span> &amp;distance);</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160; </div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="class_scene.html#a6a8e842f5988fa87c6880684d22a6c15">displayObjectCount</a>();</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;};</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160; </div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> TDrone, <span class="keyword">typename</span> TGround, <span class="keyword">typename</span> TWater, <span class="keyword">typename</span> TRod, <span class="keyword">typename</span> TRectangle, <span class="keyword">typename</span> TCubo<span class="keywordtype">id</span>&gt;</div>
<div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="class_scene.html#acfb2daa817152705b9433371daefd1e0">  126</a></span>&#160;std::vector&lt;std::shared_ptr&lt;Shape&gt;&gt; <a class="code" href="class_scene.html#acfb2daa817152705b9433371daefd1e0">Scene::objectsOnScene</a>()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    std::vector&lt;std::shared_ptr&lt;Shape&gt;&gt; objects;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160; </div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    objects.push_back(std::shared_ptr&lt;Shape&gt;(<span class="keyword">new</span> TDrone));</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    objects.push_back(std::shared_ptr&lt;Shape&gt;(<span class="keyword">new</span> TGround));</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    objects.push_back(std::shared_ptr&lt;Shape&gt;(<span class="keyword">new</span> TWater));</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    objects.push_back(std::shared_ptr&lt;Shape&gt;(<span class="keyword">new</span> TRod));</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    objects.push_back(std::shared_ptr&lt;Shape&gt;(<span class="keyword">new</span> TRectangle));</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    objects.push_back(std::shared_ptr&lt;Shape&gt;(<span class="keyword">new</span> TCuboid));</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160; </div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    <span class="keywordflow">return</span> objects;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_drone_html"><div class="ttname"><a href="class_drone.html">Drone</a></div><div class="ttdoc">Models the concept of the drone.</div><div class="ttdef"><b>Definition:</b> <a href="drone_8hh_source.html#l00009">drone.hh:9</a></div></div>
<div class="ttc" id="adrone_8hh_html"><div class="ttname"><a href="drone_8hh.html">drone.hh</a></div></div>
<div class="ttc" id="aclass_scene_html_ac2799c9a0b29a5790e7ac4010e11d3c6"><div class="ttname"><a href="class_scene.html#ac2799c9a0b29a5790e7ac4010e11d3c6">Scene::water_surface_</a></div><div class="ttdeci">waterSurface water_surface_</div><div class="ttdoc">Variable containing the water surface.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00036">scene.hh:36</a></div></div>
<div class="ttc" id="aclass_scene_html_acfb2daa817152705b9433371daefd1e0"><div class="ttname"><a href="class_scene.html#acfb2daa817152705b9433371daefd1e0">Scene::objectsOnScene</a></div><div class="ttdeci">std::vector&lt; std::shared_ptr&lt; Shape &gt; &gt; objectsOnScene() const</div><div class="ttdoc">Initializes the vector container with pointers to individual elements of the scene.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00126">scene.hh:126</a></div></div>
<div class="ttc" id="aclass_scene_html_a39e475efe2c4ec704290a3258675394a"><div class="ttname"><a href="class_scene.html#a39e475efe2c4ec704290a3258675394a">Scene::drone_</a></div><div class="ttdeci">Drone drone_</div><div class="ttdoc">Variable containing the drone.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00026">scene.hh:26</a></div></div>
<div class="ttc" id="aclass_scene_html_a0a3d83da2246b9e98c9e04cef38e1778"><div class="ttname"><a href="class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778">Scene::animation</a></div><div class="ttdeci">void animation(double rotateAngle)</div><div class="ttdoc">Implements rotation animation.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8cpp_source.html#l00057">scene.cpp:57</a></div></div>
<div class="ttc" id="aobstacles_8hh_html"><div class="ttname"><a href="obstacles_8hh.html">obstacles.hh</a></div></div>
<div class="ttc" id="aclass_cuboid_obstacle_html"><div class="ttname"><a href="class_cuboid_obstacle.html">CuboidObstacle</a></div><div class="ttdoc">Models the concept of the cuboid obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00179">obstacles.hh:179</a></div></div>
<div class="ttc" id="aclassbottom_surface_html"><div class="ttname"><a href="classbottom_surface.html">bottomSurface</a></div><div class="ttdoc">Models the concept of the ground surface.</div><div class="ttdef"><b>Definition:</b> <a href="bottom_surface_8hh_source.html#l00013">bottomSurface.hh:13</a></div></div>
<div class="ttc" id="aclass_scene_html_ad80825eec726058e071be4d627b1ee31"><div class="ttname"><a href="class_scene.html#ad80825eec726058e071be4d627b1ee31">Scene::frameFreeze_</a></div><div class="ttdeci">const int frameFreeze_</div><div class="ttdoc">Time between individual frames of animation.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00061">scene.hh:61</a></div></div>
<div class="ttc" id="aclass_scene_html_a71f61950a5ed7990f437026fbba04dc7"><div class="ttname"><a href="class_scene.html#a71f61950a5ed7990f437026fbba04dc7">Scene::frames_</a></div><div class="ttdeci">const int frames_</div><div class="ttdoc">Number of frames in the animation.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00056">scene.hh:56</a></div></div>
<div class="ttc" id="aclasswater_surface_html"><div class="ttname"><a href="classwater_surface.html">waterSurface</a></div><div class="ttdoc">Models the concept of the water surface.</div><div class="ttdef"><b>Definition:</b> <a href="water_surface_8hh_source.html#l00013">waterSurface.hh:13</a></div></div>
<div class="ttc" id="aclass_scene_html_ad10176d75a9cc0da56626f682d083507"><div class="ttname"><a href="class_scene.html#ad10176d75a9cc0da56626f682d083507">Scene::Scene</a></div><div class="ttdeci">Scene()</div><div class="ttdoc">Constructor for Scene class.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8cpp_source.html#l00010">scene.cpp:10</a></div></div>
<div class="ttc" id="aclass_scene_html"><div class="ttname"><a href="class_scene.html">Scene</a></div><div class="ttdoc">Models the concept of the stage.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00017">scene.hh:17</a></div></div>
<div class="ttc" id="awater_surface_8hh_html"><div class="ttname"><a href="water_surface_8hh.html">waterSurface.hh</a></div></div>
<div class="ttc" id="aclass_scene_html_a0f6f2aaa0d3722c75d0a522e4212c029"><div class="ttname"><a href="class_scene.html#a0f6f2aaa0d3722c75d0a522e4212c029">Scene::cuboid_obstacle_</a></div><div class="ttdeci">CuboidObstacle cuboid_obstacle_</div><div class="ttdoc">Variable containing the cuboid obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00051">scene.hh:51</a></div></div>
<div class="ttc" id="aclass_rectangle_html"><div class="ttname"><a href="class_rectangle.html">Rectangle</a></div><div class="ttdoc">Models the concept of the rectangle obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00096">obstacles.hh:96</a></div></div>
<div class="ttc" id="aclass_scene_html_a217f6f2ce1825c3c82a4eb97d21e713c"><div class="ttname"><a href="class_scene.html#a217f6f2ce1825c3c82a4eb97d21e713c">Scene::rod_</a></div><div class="ttdeci">Rod rod_</div><div class="ttdoc">Variable containing the rod obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00041">scene.hh:41</a></div></div>
<div class="ttc" id="aclass_scene_html_a5df9e3639480f0b0e40dbde622a1c605"><div class="ttname"><a href="class_scene.html#a5df9e3639480f0b0e40dbde622a1c605">Scene::link_</a></div><div class="ttdeci">PzG::GnuplotLink link_</div><div class="ttdoc">Variable to connect to gnuplot.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00021">scene.hh:21</a></div></div>
<div class="ttc" id="aclass_scene_html_ad50c3c24ce0283a96822b5a759677852"><div class="ttname"><a href="class_scene.html#ad50c3c24ce0283a96822b5a759677852">Scene::bottom_surface_</a></div><div class="ttdeci">bottomSurface bottom_surface_</div><div class="ttdoc">Variable containing the bottom surface.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00031">scene.hh:31</a></div></div>
<div class="ttc" id="aclass_pz_g_1_1_gnuplot_link_html"><div class="ttname"><a href="class_pz_g_1_1_gnuplot_link.html">PzG::GnuplotLink</a></div><div class="ttdoc">Klasa realizuje interfejs do programu GNUPlot.</div><div class="ttdef"><b>Definition:</b> <a href="gnuplot__link_8hh_source.html#l00125">gnuplot_link.hh:125</a></div></div>
<div class="ttc" id="aclass_scene_html_a806fccf2f53e666749ea8abf76190c62"><div class="ttname"><a href="class_scene.html#a806fccf2f53e666749ea8abf76190c62">Scene::checkCollision</a></div><div class="ttdeci">bool checkCollision(const std::vector&lt; Vector3D &gt; &amp;droneCover)</div><div class="ttdoc">Check drone collision with objects on scene.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8cpp_source.html#l00043">scene.cpp:43</a></div></div>
<div class="ttc" id="abottom_surface_8hh_html"><div class="ttname"><a href="bottom_surface_8hh.html">bottomSurface.hh</a></div></div>
<div class="ttc" id="aclass_scene_html_a6a8e842f5988fa87c6880684d22a6c15"><div class="ttname"><a href="class_scene.html#a6a8e842f5988fa87c6880684d22a6c15">Scene::displayObjectCount</a></div><div class="ttdeci">static void displayObjectCount()</div><div class="ttdoc">Displays the number of Vector3D objects.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8cpp_source.html#l00078">scene.cpp:78</a></div></div>
<div class="ttc" id="aclass_scene_html_a631eef7493cafce5d74739a2cad12a58"><div class="ttname"><a href="class_scene.html#a631eef7493cafce5d74739a2cad12a58">Scene::~Scene</a></div><div class="ttdeci">~Scene()=default</div><div class="ttdoc">Destructor for Scene class.</div></div>
<div class="ttc" id="aclass_scene_html_a9072e7a0ae61ecbc6f716cadcd696f57"><div class="ttname"><a href="class_scene.html#a9072e7a0ae61ecbc6f716cadcd696f57">Scene::rectangle_</a></div><div class="ttdeci">Rectangle rectangle_</div><div class="ttdoc">Variable containing the rectangle obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="scene_8hh_source.html#l00046">scene.hh:46</a></div></div>
<div class="ttc" id="agnuplot__link_8hh_html"><div class="ttname"><a href="gnuplot__link_8hh.html">gnuplot_link.hh</a></div></div>
<div class="ttc" id="aclass_rod_html"><div class="ttname"><a href="class_rod.html">Rod</a></div><div class="ttdoc">Models the concept of the rod obstacle.</div><div class="ttdef"><b>Definition:</b> <a href="obstacles_8hh_source.html#l00013">obstacles.hh:13</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="scene_8hh.html">scene.hh</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
